\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{myarticle}
         [2007/3/15 v1 My custom article class]
%Full bibliography without hyperlinks. References are numbered and ordered in citation order.
\newcommand{\Loadhyper}{%
\RequirePackage{url} 
\bibliographystyle{myunsrturl}
}
%Short bibliography - no titles, no url, 3 authors + et.al. Like the one accepted by JETPL.
\DeclareOption{abbrbib}{\renewcommand{\Loadhyper}{%
\RequirePackage{url} 
\bibliographystyle{myjetpl}}}
%Language Russian
\newcommand{\LangSel}{}
\DeclareOption{russian}{\renewcommand{\LangSel}{%
\RequirePackage[T2A]{fontenc}
\RequirePackage[koi8-r]{inputenc} 
\RequirePackage[russian]{babel}}}
%Option online may be suitable for online presentation and when converting document to html,
%but not for everyday use and printed material
\DeclareOption{online}{\renewcommand{\Loadhyper}{%
\RequirePackage[final]{hyperref}
\bibliographystyle{myunsrturl}}}
%default interval between lines  - one and half.
\newcommand{\Interval}{\linespread{1.3}}
\DeclareOption{1l}{\renewcommand{\Interval}{\linespread{1}}}
\DeclareOption{2l}{\renewcommand{\Interval}{\linespread{1.6}}}
\DeclareOption*{%
    \PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[a4paper,12pt,notitlepage,portrait]{article}
\LangSel
\RequirePackage{amstext}
\RequirePackage{abstract}
\RequirePackage{graphicx}
\RequirePackage{geometry}
%\newcommand\grph[2][\DefaultOpt]{%
%  \def\DefaultOpt{#2}%
%  \includegraphics[#1]{#2}%
%}
\geometry{verbose,a4paper,tmargin=2cm,bmargin=2cm,lmargin=2.5cm,rmargin=1.5cm}
\RequirePackage[square,numbers,sort&compress]{natbib}
\Loadhyper
\Interval
\citeindextrue
\RequirePackage{longtable}
\RequirePackage{indentfirst}
\renewcommand{\rmdefault}{fjn}
\renewcommand{\ttdefault}{fer}
\renewcommand{\'}{$\backslash$}
\newcommand{\hppi}{HPPI}
\sloppy